net-snmp-create-v3-user(1)

NAME
net-snmp-create-v3-user - create a SNMPv3 user in net-snmp configuration file

SYNOPSIS

net-snmp-create-v3-user [-ro] [-A authpass] [-a MD5|SHA|SHA-512|SHA-384|SHA-256|SHA-224] [-X privpass] [-x DES|AES|AES128] [username]

DESCRIPTION

The net-snmp-create-v3-user shell script is designed to create a new user in the net-snmp configuration file (/var/net-snmp/snmpd.conf by default).

OPTIONS

--version
    displays the net-snmp version number

-ro create a user with read-only permissions

-A authpass
    specify authentication password

-a MD5|SHA|SHA-512|SHA-384|SHA-256|SHA-224
    specify authentication algorithm

-X privpass
    specify encryption password

-x DES|AES|AES128
    specify encryption algorithm